Loading...
Searching...
No Matches
vkd3d_shader_parameter_specialization_constant Struct Reference

The linkage of a specialization constant parameter, used in struct vkd3d_shader_parameter and struct vkd3d_shader_parameter1. More...

`#include <vkd3d_shader.h>`

## Data Fields

uint32_t | id
| The ID of the specialization constant.

## Detailed Description

The linkage of a specialization constant parameter, used in struct vkd3d_shader_parameter and struct vkd3d_shader_parameter1.

## Field Documentation

## id

uint32_t vkd3d_shader_parameter_specialization_constant::id

The ID of the specialization constant.

If the type comprises more than one constant, such as VKD3D_SHADER_PARAMETER_DATA_TYPE_FLOAT32_VEC4, then a contiguous array of specialization constants should be used, one for each component, and this ID should point to the first component.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h